Cost:5 credits / successful request.Get a company’s funding round history by domain. This same data can also be attached directly to a Company Profile response via the get_funding_rounds flag.
If no funding data is found for the company, crunchbase_url is null and rounds is an empty array — this is still a 200 response, with credit_used: 0. A company that is found but has no rounds yet is charged normally.If the data can’t be fetched at this time, the response contains { "error": "Unable to fetch this data at this time." } in message with credit_used: 0, and no credits are charged.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Datamagnet API","description":"Learn everything there is to know about the Datamagnet API and integrate Datamagnet into your product.","colors":{"primary":"#10b981","light":"#34d399","dark":"#059669"},"logo":{"light":"https://mintcdn.com/datamagnet/SW4nLtirTM2YPsD9/logo/logo.svg?fit=max\u0026auto=format\u0026n=SW4nLtirTM2YPsD9\u0026q=85\u0026s=357a8b0e19b9716ef9f49fffcb91764e","dark":"https://mintcdn.com/datamagnet/SW4nLtirTM2YPsD9/logo/logo.svg?fit=max\u0026auto=format\u0026n=SW4nLtirTM2YPsD9\u0026q=85\u0026s=357a8b0e19b9716ef9f49fffcb91764e"},"favicon":"https://mintcdn.com/datamagnet/Te85XCZXrXqMYoCk/logo/favicon.png?fit=max\u0026auto=format\u0026n=Te85XCZXrXqMYoCk\u0026q=85\u0026s=f6a67aa9db0be06077aca1f4c444022d","api":{"playground":{"display":"interactive"},"mdx":{"auth":{"method":"bearer"},"server":"https://api.datamagnet.co"}},"appearance":{"default":"light","strict":false},"background":{"decoration":"gradient"},"navbar":{"links":[{"href":"https://datamagnet.co/auth/register","label":"Register for API"}],"primary":{"type":"button","label":"Dashboard","href":"https://datamagnet.co/app/api-keys"}},"footer":{"socials":{"linkedin":"https://linkedin.com/company/datamagnet-co"}},"search":{"prompt":"Find something..."},"styling":{"eyebrows":"breadcrumbs","latex":false},"integrations":{"ga4":{"measurementId":"G-5YQ8KLR3J7"},"gtm":{"tagId":"GTM-KNM5ZQPB"},"intercom":{"appId":"njr64ahv"},"posthog":{"apiKey":"phc_IRc9k1hAzVslo9KFV5iOxrfBoPkrPRoVNC3OJ7rM1IV","apiHost":"https://posthog-analytics-proxy.datachroma.workers.dev"}},"contextual":{"options":["copy","chatgpt","claude","perplexity","grok","aistudio","mcp"],"display":"header"},"interaction":{"drilldown":true},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"datamagnet","hasAudioNarration":false,"actualSubdomain":"datamagnet","customDomains":["docs.datamagnet.co"],"gitSource":{"type":"github","owner":"pratik-dani","repo":"data-collection","deployBranch":"main","contentDirectory":"datamagnet-docs","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6aeae21b074dc9785411a230","collectionId":"191a4b28-da56-47cb-9fc2-abbc4b8db485","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6aeae21b074dc9785411a230"},"feedback":{"edits":true,"issues":true,"thumbs":true,"agentFeedback":true},"entitlements":{},"buildId":"6aeae21b074dc9785411a230","clientVersion":"0.0.4076","searchFilterCounts":[{"language":"default","tag":"API Reference","count":44},{"language":"default","tag":"Changelog","count":18},{"language":"default","tag":"Getting Started","count":16},{"language":"default","tag":"Guides","count":11},{"language":"default","tag":"Cookbooks","count":9},{"language":"default","tag":"Concepts","count":6},{"language":"default","tag":"Signals","count":5},{"language":"default","tag":"Posts","count":4},{"language":"default","tag":"Company","count":3},{"language":"default","tag":"ICP Search","count":3}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableAskAiSearchBar":true},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false},"customCss":[{"filePath":"custom.css","content":".card{transition:all 0.2s ease;border-radius:8px}.card:hover{transform:translateY(-2px)}*:focus-visible{outline:2px solid #10b981;outline-offset:2px}"}],"page":{"pagePath":"api-reference/endpoints/funding-rounds","slug":"/api-reference/endpoints/funding-rounds","pageMetadata":{"title":"Funding Rounds","api":"POST https://api.datamagnet.co/api/v1/company/funding-rounds","description":"Retrieve a company's funding history by domain, with structured data on each round including amount raised, round type, and announcement date.","href":"/api-reference/endpoints/funding-rounds"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Retrieve a company’s funding history by domain, with structured data on each round including amount raised, round type, and announcement date.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,p:`p`,strong:`strong`,..._provideComponents(),...props.components},{Expandable,Heading,ParamField,ResponseField}=_components;if(!Expandable)_missingMdxReference(`Expandable`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!ParamField)_missingMdxReference(`ParamField`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);return _jsxs(_Fragment,{children:[_jsx(Heading,{level:`1`,id:`funding-rounds`,children:`Funding Rounds`}),`\n`,_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Cost:`}),` `,_jsx(_components.code,{children:`5`}),` credits / successful request.`]}),`\n`,_jsxs(_components.p,{children:[`Get a company’s funding round history by domain. This same data can also be attached directly to a `,_jsx(_components.a,{href:`/api-reference/endpoints/company`,children:`Company Profile`}),` response via the `,_jsx(_components.code,{children:`get_funding_rounds`}),` flag.`]}),`\n`,_jsx(Heading,{level:`2`,id:`funding-rounds-endpoint`,children:`Funding rounds endpoint`}),`\n`,_jsx(_components.p,{children:`This endpoint identifies the company from its domain and returns its funding round history.`}),`\n`,_jsx(Heading,{level:`3`,id:`required-attributes`,children:`Required attributes`}),`\n`,_jsx(ParamField,{body:`domain`,type:`string`,required:true,id:`param-domain`,children:_jsxs(_components.p,{children:[`Company domain (e.g. `,_jsx(_components.code,{children:`openai.com`}),`). A full website URL also works.`]})}),`\n`,_jsx(Heading,{level:`3`,id:`optional-attributes`,children:`Optional attributes`}),`\n`,_jsx(ParamField,{body:`company_name`,type:`string`,id:`param-company-name`,children:_jsx(_components.p,{children:`Company name. Providing this improves match accuracy.`})}),`\n`,_jsx(Heading,{level:`3`,id:`response`,children:`Response`}),`\n`,`\n`,_jsxs(_components.p,{children:[`If no funding data is found for the company, `,_jsx(_components.code,{children:`crunchbase_url`}),` is `,_jsx(_components.code,{children:`null`}),` and `,_jsx(_components.code,{children:`rounds`}),` is an empty array — this is still a `,_jsx(_components.code,{children:`200`}),` response, with `,_jsx(_components.code,{children:`credit_used: 0`}),`. A company that is found but has no rounds yet is charged normally.`]}),`\n`,_jsxs(_components.p,{children:[`If the data can’t be fetched at this time, the response contains `,_jsx(_components.code,{children:`{ \"error\": \"Unable to fetch this data at this time.\" }`}),` in `,_jsx(_components.code,{children:`message`}),` with `,_jsx(_components.code,{children:`credit_used: 0`}),`, and no credits are charged.`]}),`\n`,_jsx(Heading,{level:`2`,id:`the-funding-rounds-model`,children:`The funding rounds model`}),`\n`,_jsx(Heading,{level:`3`,id:`properties`,children:`Properties`}),`\n`,_jsx(ResponseField,{name:`domain`,type:`string`,id:`param-domain-1`,children:_jsx(_components.p,{children:`Company domain that was looked up.`})}),`\n`,_jsx(ResponseField,{name:`crunchbase_url`,type:`string`,id:`param-crunchbase-url`,children:_jsxs(_components.p,{children:[`Link to the company’s public funding profile. `,_jsx(_components.code,{children:`null`}),` if no funding data was found.`]})}),`\n`,_jsx(ResponseField,{name:`company`,type:`string`,id:`param-company`,children:_jsx(_components.p,{children:`Company name as recorded in the funding record.`})}),`\n`,_jsx(ResponseField,{name:`matched_via`,type:`string`,id:`param-matched-via`,children:_jsxs(_components.p,{children:[`How the company was found: `,_jsx(_components.code,{children:`domain`}),` or `,_jsx(_components.code,{children:`company_name`}),`. `,_jsx(_components.code,{children:`null`}),` if no funding data was found.`]})}),`\n`,_jsx(ResponseField,{name:`name_verified`,type:`boolean`,id:`param-name-verified`,children:_jsxs(_components.p,{children:[`Whether the matched company’s name lines up with the `,_jsx(_components.code,{children:`company_name`}),` you provided. `,_jsx(_components.code,{children:`null`}),` if `,_jsx(_components.code,{children:`company_name`}),` wasn’t provided.`]})}),`\n`,_jsx(ResponseField,{name:`total_rounds`,type:`integer`,id:`param-total-rounds`,children:_jsx(_components.p,{children:`Number of funding rounds returned.`})}),`\n`,_jsx(ResponseField,{name:`total_raised_usd`,type:`integer`,id:`param-total-raised-usd`,children:_jsx(_components.p,{children:`Total amount raised across all rounds, in USD.`})}),`\n`,_jsx(ResponseField,{name:`total_raised_formatted`,type:`string`,id:`param-total-raised-formatted`,children:_jsxs(_components.p,{children:[`Human-readable total raised (e.g. `,_jsx(_components.code,{children:`$11.60B`}),`).`]})}),`\n`,_jsxs(ResponseField,{name:`rounds`,type:`array`,id:`param-rounds`,children:[_jsx(_components.p,{children:`List of funding rounds, most recent first.`}),_jsxs(Expandable,{title:`Funding round object`,children:[_jsx(ResponseField,{name:`round_name`,type:`string`,id:`param-round-name`,children:_jsx(_components.p,{children:`Human-readable round name (e.g. “Series A”, “Corporate Round”).`})}),_jsx(ResponseField,{name:`round_type`,type:`string`,id:`param-round-type`,children:_jsxs(_components.p,{children:[`Machine-readable investment type (e.g. `,_jsx(_components.code,{children:`series_a`}),`, `,_jsx(_components.code,{children:`corporate_round`}),`).`]})}),_jsx(ResponseField,{name:`date`,type:`string`,id:`param-date`,children:_jsx(_components.p,{children:`Date the round was announced (YYYY-MM-DD).`})}),_jsx(ResponseField,{name:`amount_usd`,type:`integer`,id:`param-amount-usd`,children:_jsx(_components.p,{children:`Amount raised in this round, converted to USD.`})}),_jsx(ResponseField,{name:`amount_formatted`,type:`string`,id:`param-amount-formatted`,children:_jsxs(_components.p,{children:[`Human-readable amount raised (e.g. `,_jsx(_components.code,{children:`$1.2M`}),`).`]})}),_jsx(ResponseField,{name:`currency`,type:`string`,id:`param-currency`,children:_jsx(_components.p,{children:`Currency of the original investment.`})}),_jsx(ResponseField,{name:`company`,type:`string`,id:`param-company-1`,children:_jsx(_components.p,{children:`Name of the funded company.`})})]})]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Funding Rounds","api":"POST https://api.datamagnet.co/api/v1/company/funding-rounds","description":"Retrieve a company's funding history by domain, with structured data on each round including amount raised, round type, and announcement date.","href":"/api-reference/endpoints/funding-rounds"}}},"mdxSourceWithNoJs":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,p:`p`,pre:`pre`,span:`span`,strong:`strong`,..._provideComponents(),...props.components},{CodeBlock,Expandable,Heading,ParamField,ResponseExample,ResponseField}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Expandable)_missingMdxReference(`Expandable`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!ParamField)_missingMdxReference(`ParamField`,true);if(!ResponseExample)_missingMdxReference(`ResponseExample`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);return _jsxs(_Fragment,{children:[_jsx(Heading,{level:`1`,id:`funding-rounds`,children:`Funding Rounds`}),`\n`,_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Cost:`}),` `,_jsx(_components.code,{children:`5`}),` credits / successful request.`]}),`\n`,_jsxs(_components.p,{children:[`Get a company’s funding round history by domain. This same data can also be attached directly to a `,_jsx(_components.a,{href:`/api-reference/endpoints/company`,children:`Company Profile`}),` response via the `,_jsx(_components.code,{children:`get_funding_rounds`}),` flag.`]}),`\n`,_jsx(Heading,{level:`2`,id:`funding-rounds-endpoint`,children:`Funding rounds endpoint`}),`\n`,_jsx(_components.p,{children:`This endpoint identifies the company from its domain and returns its funding round history.`}),`\n`,_jsx(Heading,{level:`3`,id:`required-attributes`,children:`Required attributes`}),`\n`,_jsx(ParamField,{body:`domain`,type:`string`,required:true,id:`param-domain`,children:_jsxs(_components.p,{children:[`Company domain (e.g. `,_jsx(_components.code,{children:`openai.com`}),`). A full website URL also works.`]})}),`\n`,_jsx(Heading,{level:`3`,id:`optional-attributes`,children:`Optional attributes`}),`\n`,_jsx(ParamField,{body:`company_name`,type:`string`,id:`param-company-name`,children:_jsx(_components.p,{children:`Company name. Providing this improves match accuracy.`})}),`\n`,_jsx(Heading,{level:`3`,id:`response`,children:`Response`}),`\n`,_jsx(ResponseExample,{children:_jsx(CodeBlock,{filename:`Response`,numberOfLines:`33`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`33`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"message\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"domain\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"openai.com\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"crunchbase_url\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"https://www.crunchbase.com/organization/openai\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"company\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"OpenAI\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"matched_via\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"domain\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"name_verified\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`true`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"total_rounds\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`3`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"total_raised_usd\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`11600000000`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"total_raised_formatted\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"$11.60B\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"rounds\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"round_name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Corporate Round\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"round_type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"corporate_round\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"date\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2023-01-23\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"amount_usd\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`10000000000`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"amount_formatted\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"$10.00B\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"currency\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"USD\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"company\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"OpenAI\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"round_name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Secondary Market\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"round_type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"secondary_market\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"date\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2019-07-23\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"amount_usd\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1000000000`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"amount_formatted\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"$1.00B\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"currency\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"USD\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"company\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"OpenAI\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"credit_used\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`5`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})}),`\n`,_jsxs(_components.p,{children:[`If no funding data is found for the company, `,_jsx(_components.code,{children:`crunchbase_url`}),` is `,_jsx(_components.code,{children:`null`}),` and `,_jsx(_components.code,{children:`rounds`}),` is an empty array — this is still a `,_jsx(_components.code,{children:`200`}),` response, with `,_jsx(_components.code,{children:`credit_used: 0`}),`. A company that is found but has no rounds yet is charged normally.`]}),`\n`,_jsxs(_components.p,{children:[`If the data can’t be fetched at this time, the response contains `,_jsx(_components.code,{children:`{ \"error\": \"Unable to fetch this data at this time.\" }`}),` in `,_jsx(_components.code,{children:`message`}),` with `,_jsx(_components.code,{children:`credit_used: 0`}),`, and no credits are charged.`]}),`\n`,_jsx(Heading,{level:`2`,id:`the-funding-rounds-model`,children:`The funding rounds model`}),`\n`,_jsx(Heading,{level:`3`,id:`properties`,children:`Properties`}),`\n`,_jsx(ResponseField,{name:`domain`,type:`string`,id:`param-domain-1`,children:_jsx(_components.p,{children:`Company domain that was looked up.`})}),`\n`,_jsx(ResponseField,{name:`crunchbase_url`,type:`string`,id:`param-crunchbase-url`,children:_jsxs(_components.p,{children:[`Link to the company’s public funding profile. `,_jsx(_components.code,{children:`null`}),` if no funding data was found.`]})}),`\n`,_jsx(ResponseField,{name:`company`,type:`string`,id:`param-company`,children:_jsx(_components.p,{children:`Company name as recorded in the funding record.`})}),`\n`,_jsx(ResponseField,{name:`matched_via`,type:`string`,id:`param-matched-via`,children:_jsxs(_components.p,{children:[`How the company was found: `,_jsx(_components.code,{children:`domain`}),` or `,_jsx(_components.code,{children:`company_name`}),`. `,_jsx(_components.code,{children:`null`}),` if no funding data was found.`]})}),`\n`,_jsx(ResponseField,{name:`name_verified`,type:`boolean`,id:`param-name-verified`,children:_jsxs(_components.p,{children:[`Whether the matched company’s name lines up with the `,_jsx(_components.code,{children:`company_name`}),` you provided. `,_jsx(_components.code,{children:`null`}),` if `,_jsx(_components.code,{children:`company_name`}),` wasn’t provided.`]})}),`\n`,_jsx(ResponseField,{name:`total_rounds`,type:`integer`,id:`param-total-rounds`,children:_jsx(_components.p,{children:`Number of funding rounds returned.`})}),`\n`,_jsx(ResponseField,{name:`total_raised_usd`,type:`integer`,id:`param-total-raised-usd`,children:_jsx(_components.p,{children:`Total amount raised across all rounds, in USD.`})}),`\n`,_jsx(ResponseField,{name:`total_raised_formatted`,type:`string`,id:`param-total-raised-formatted`,children:_jsxs(_components.p,{children:[`Human-readable total raised (e.g. `,_jsx(_components.code,{children:`$11.60B`}),`).`]})}),`\n`,_jsxs(ResponseField,{name:`rounds`,type:`array`,id:`param-rounds`,children:[_jsx(_components.p,{children:`List of funding rounds, most recent first.`}),_jsxs(Expandable,{title:`Funding round object`,children:[_jsx(ResponseField,{name:`round_name`,type:`string`,id:`param-round-name`,children:_jsx(_components.p,{children:`Human-readable round name (e.g. “Series A”, “Corporate Round”).`})}),_jsx(ResponseField,{name:`round_type`,type:`string`,id:`param-round-type`,children:_jsxs(_components.p,{children:[`Machine-readable investment type (e.g. `,_jsx(_components.code,{children:`series_a`}),`, `,_jsx(_components.code,{children:`corporate_round`}),`).`]})}),_jsx(ResponseField,{name:`date`,type:`string`,id:`param-date`,children:_jsx(_components.p,{children:`Date the round was announced (YYYY-MM-DD).`})}),_jsx(ResponseField,{name:`amount_usd`,type:`integer`,id:`param-amount-usd`,children:_jsx(_components.p,{children:`Amount raised in this round, converted to USD.`})}),_jsx(ResponseField,{name:`amount_formatted`,type:`string`,id:`param-amount-formatted`,children:_jsxs(_components.p,{children:[`Human-readable amount raised (e.g. `,_jsx(_components.code,{children:`$1.2M`}),`).`]})}),_jsx(ResponseField,{name:`currency`,type:`string`,id:`param-currency`,children:_jsx(_components.p,{children:`Currency of the original investment.`})}),_jsx(ResponseField,{name:`company`,type:`string`,id:`param-company-1`,children:_jsx(_components.p,{children:`Name of the funded company.`})})]})]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Funding Rounds","api":"POST https://api.datamagnet.co/api/v1/company/funding-rounds","description":"Retrieve a company's funding history by domain, with structured data on each round including amount raised, round type, and announcement date.","href":"/api-reference/endpoints/funding-rounds"}}}},"mdxExtracts":{"tableOfContents":[{"title":"Funding Rounds","slug":"funding-rounds","depth":1,"children":[]},{"title":"Funding rounds endpoint","slug":"funding-rounds-endpoint","depth":2,"children":[{"title":"Required attributes","slug":"required-attributes","depth":3,"children":[]},{"title":"Optional attributes","slug":"optional-attributes","depth":3,"children":[]},{"title":"Response","slug":"response","depth":3,"children":[]}]},{"title":"The funding rounds model","slug":"the-funding-rounds-model","depth":2,"children":[{"title":"Properties","slug":"properties","depth":3,"children":[]}]}],"codeExamples":{"response":{"type":"ResponseExample","children":[{"filename":"Response","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"json\">\u003ccode language=\"json\" numberOfLines=\"33\">\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"message\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"domain\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"openai.com\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"crunchbase_url\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"https://www.crunchbase.com/organization/openai\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"company\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"OpenAI\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"matched_via\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"domain\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"name_verified\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\">true\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"total_rounds\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">3\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"total_raised_usd\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">11600000000\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"total_raised_formatted\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"$11.60B\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"rounds\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: [\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"round_name\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Corporate Round\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"round_type\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"corporate_round\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"date\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"2023-01-23\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"amount_usd\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">10000000000\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"amount_formatted\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"$10.00B\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"currency\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"USD\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"company\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"OpenAI\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> },\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"round_name\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Secondary Market\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"round_type\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"secondary_market\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"date\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"2019-07-23\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"amount_usd\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">1000000000\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"amount_formatted\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"$1.00B\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"currency\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"USD\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"company\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"OpenAI\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> }\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> ]\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> },\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"credit_used\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">5\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">}\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"}],"attributes":[]}},"endpoint":{"title":"Funding Rounds","path":"/api/v1/company/funding-rounds","servers":[{"url":"https://api.datamagnet.co"}],"method":"post","request":{"security":[{"title":"Bearer Auth","parameters":{"header":{"Authorization":{"type":"http","scheme":"bearer","description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token."}},"query":{},"cookie":{}}}],"parameters":{"query":{},"header":{},"cookie":{},"path":{}},"body":{"application/json":{"schemaArray":[{"type":"object","properties":{"domain":[{"type":"string","description":"Company domain (e.g. `openai.com` ). A full website URL also works.","required":true}],"company_name":[{"type":"string","description":"Company name. Providing this improves match accuracy."}]}}],"examples":{"example":{"value":{"domain":"\u003cstring>","company_name":"\u003cstring>"}}}}}},"response":{"200":{"application/json":{"schemaArray":[{"type":"object","properties":{"domain":[{"type":"string","description":"Company domain that was looked up."}],"crunchbase_url":[{"type":"string","description":"Link to the company’s public funding profile. `null` if no funding data was found."}],"company":[{"type":"string","description":"Company name as recorded in the funding record."}],"matched_via":[{"type":"string","description":"How the company was found: `domain` or `company_name` . `null` if no funding data was found."}],"name_verified":[{"type":"boolean","description":"Whether the matched company’s name lines up with the `company_name` you provided. `null` if `company_name` wasn’t provided."}],"total_rounds":[{"type":"integer","description":"Number of funding rounds returned."}],"total_raised_usd":[{"type":"integer","description":"Total amount raised across all rounds, in USD."}],"total_raised_formatted":[{"type":"string","description":"Human-readable total raised (e.g. `$11.60B` )."}],"rounds":[{"type":"array","items":[{"type":"object","properties":{"round_name":[{"type":"string","description":"Human-readable round name (e.g. “Series A”, “Corporate Round”)."}],"round_type":[{"type":"string","description":"Machine-readable investment type (e.g. `series_a` , `corporate_round` )."}],"date":[{"type":"string","description":"Date the round was announced (YYYY-MM-DD)."}],"amount_usd":[{"type":"integer","description":"Amount raised in this round, converted to USD."}],"amount_formatted":[{"type":"string","description":"Human-readable amount raised (e.g. `$1.2M` )."}],"currency":[{"type":"string","description":"Currency of the original investment."}],"company":[{"type":"string","description":"Name of the funded company."}]}}],"description":"List of funding rounds, most recent first."}]}}],"examples":{"example":{"value":{"domain":"\u003cstring>","crunchbase_url":"\u003cstring>","company":"\u003cstring>","matched_via":"\u003cstring>","name_verified":true,"total_rounds":123,"total_raised_usd":123,"total_raised_formatted":"\u003cstring>","rounds":[{"round_name":"\u003cstring>","round_type":"\u003cstring>","date":"\u003cstring>","amount_usd":123,"amount_formatted":"\u003cstring>","currency":"\u003cstring>","company":"\u003cstring>"}]}}}}}},"deprecated":false}},"jsLinks":[],"subdomain":"datamagnet","siteName":"Datamagnet API","title":"Funding Rounds - Datamagnet API","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-10-12T12:57:59.543Z","originalFileLocation":"api-reference/endpoints/funding-rounds.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"light\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Retrieve a company\u0026#x27;s funding history by domain, with structured data on each round including amount raised, round type, and announcement date.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Datamagnet API\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/datamagnet/PlmQURYGnh2o6UGy/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/datamagnet/PlmQURYGnh2o6UGy/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/datamagnet/PlmQURYGnh2o6UGy/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/datamagnet/PlmQURYGnh2o6UGy/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/datamagnet/PlmQURYGnh2o6UGy/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/datamagnet/PlmQURYGnh2o6UGy/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/datamagnet/PlmQURYGnh2o6UGy/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/datamagnet/PlmQURYGnh2o6UGy/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/datamagnet/PlmQURYGnh2o6UGy/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Funding Rounds - Datamagnet API\">\u003cmeta data-mint-head property=\"og:description\" content=\"Retrieve a company\u0026#x27;s funding history by domain, with structured data on each round including amount raised, round type, and announcement date.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Datamagnet API\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.datamagnet.co/api-reference/endpoints/funding-rounds\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://datamagnet.mintlify.site/_mintlify/api/og/v2?division=Company\u0026amp;title=Funding+Rounds\u0026amp;description=Retrieve+a+company%27s+funding+history+by+domain%2C+with+structured+data+on+each+round+including+amount+raised%2C+round+type%2C+and+announcement+date.\u0026amp;theme=ff7f501a073ed2eb86f83c60\u0026amp;signature=f10c482f3bec3e77aaf8e94435bcde993a9a108ee511125e2ee701ca8dbf5e93\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Funding Rounds - Datamagnet API\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Retrieve a company\u0026#x27;s funding history by domain, with structured data on each round including amount raised, round type, and announcement date.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://datamagnet.mintlify.site/_mintlify/api/og/v2?division=Company\u0026amp;title=Funding+Rounds\u0026amp;description=Retrieve+a+company%27s+funding+history+by+domain%2C+with+structured+data+on+each+round+including+amount+raised%2C+round+type%2C+and+announcement+date.\u0026amp;theme=ff7f501a073ed2eb86f83c60\u0026amp;signature=f10c482f3bec3e77aaf8e94435bcde993a9a108ee511125e2ee701ca8dbf5e93\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/datamagnet/PlmQURYGnh2o6UGy/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Datamagnet API\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#10b981\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.datamagnet.co/api-reference/endpoints/funding-rounds\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/endpoints/funding-rounds.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.datamagnet.co/#organization\",\"name\":\"Datamagnet API\",\"url\":\"https://docs.datamagnet.co\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/datamagnet/SW4nLtirTM2YPsD9/logo/logo.svg?fit=max\u0026auto=format\u0026n=SW4nLtirTM2YPsD9\u0026q=85\u0026s=357a8b0e19b9716ef9f49fffcb91764e\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.datamagnet.co#website\",\"name\":\"Datamagnet API\",\"url\":\"https://docs.datamagnet.co\",\"publisher\":{\"@id\":\"https://docs.datamagnet.co/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.datamagnet.co/api-reference/endpoints/funding-rounds#webpage\",\"url\":\"https://docs.datamagnet.co/api-reference/endpoints/funding-rounds\",\"name\":\"Funding Rounds\",\"description\":\"Retrieve a company's funding history by domain, with structured data on each round including amount raised, round type, and announcement date.\",\"dateModified\":\"2026-10-12T12:57:59.543Z\",\"isPartOf\":{\"@id\":\"https://docs.datamagnet.co#website\"},\"breadcrumb\":{\"@id\":\"https://docs.datamagnet.co/api-reference/endpoints/funding-rounds#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.datamagnet.co/api-reference/endpoints/funding-rounds#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Company\",\"item\":\"https://docs.datamagnet.co/api-reference/endpoints/company\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Funding Rounds\",\"item\":\"https://docs.datamagnet.co/api-reference/endpoints/funding-rounds\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.datamagnet.co/api-reference/endpoints/funding-rounds#apireference\",\"headline\":\"Funding Rounds\",\"name\":\"Funding Rounds\",\"description\":\"Retrieve a company's funding history by domain, with structured data on each round including amount raised, round type, and announcement date.\",\"url\":\"https://docs.datamagnet.co/api-reference/endpoints/funding-rounds\",\"mainEntityOfPage\":{\"@id\":\"https://docs.datamagnet.co/api-reference/endpoints/funding-rounds#webpage\"},\"dateModified\":\"2026-10-12T12:57:59.543Z\",\"publisher\":{\"@id\":\"https://docs.datamagnet.co/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.datamagnet.co#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Datamagnet API\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Datamagnet API","nav":{"global":null,"tabs":[{"tab":"Guides","pages":[{"title":"Guides","href":"/api-reference/introduction"}]},{"tab":"API Reference","anchors":[{"anchor":"API Reference","icon":"code","groups":[{"group":"People","pages":[{"title":"People Profile","api":"POST https://api.datamagnet.co/api/v1/person","href":"/api-reference/endpoints/people"},{"title":"Person Activity","api":"POST https://api.datamagnet.co/api/v1/person/activity","href":"/api-reference/endpoints/people-activity"}]},{"group":"Company","pages":[{"title":"Company Profile","api":"POST https://api.datamagnet.co/api/v1/company","href":"/api-reference/endpoints/company"},{"title":"Company Posts","api":"POST https://api.datamagnet.co/api/v1/company/posts","description":"Retrieve posts published on a LinkedIn company page by URL, including text, media, engagement counts, and timestamps for content monitoring.","href":"/api-reference/endpoints/company-posts"},{"title":"Funding Rounds","api":"POST https://api.datamagnet.co/api/v1/company/funding-rounds","href":"/api-reference/endpoints/funding-rounds"}]},{"group":"Jobs","pages":[{"title":"Job Details","api":"POST https://api.datamagnet.co/api/v1/jobs/detail","description":"Fetch a LinkedIn job posting by job ID or URL — title, description, location, seniority, employment type, workplace type, apply links, application counts and the hiring company.","href":"/api-reference/endpoints/job-details"},{"title":"Job Change Search","api":"POST https://api.datamagnet.co/api/v1/job-changes/search","href":"/api-reference/endpoints/job-changes-search"}]},{"group":"Posts","pages":[{"title":"Post Details","api":"POST https://api.datamagnet.co/api/v1/post","href":"/api-reference/endpoints/post-detail"},{"title":"Post Comments","api":"POST https://api.datamagnet.co/api/v1/post/comments","href":"/api-reference/endpoints/post-comments"},{"title":"Post Reactions","api":"POST https://api.datamagnet.co/api/v1/post/reactions","href":"/api-reference/endpoints/post-reactions"},{"title":"Post Reposts","api":"POST https://api.datamagnet.co/api/v1/post/reposts","href":"/api-reference/endpoints/post-reposts"}]},{"group":"Signals","pages":[{"title":"Create Signal","api":"POST https://api.datamagnet.co/api/v1/signal/create","href":"/api-reference/endpoints/signal-create"},{"title":"List Signals","api":"POST https://api.datamagnet.co/api/v1/signal/list","href":"/api-reference/endpoints/signal-list"},{"title":"List Signal Leads","api":"POST https://api.datamagnet.co/api/v1/signal/leads","href":"/api-reference/endpoints/signal-leads"},{"title":"Update Signal","api":"POST https://api.datamagnet.co/api/v1/signal/update","href":"/api-reference/endpoints/signal-update"},{"title":"Delete Signal","api":"POST https://api.datamagnet.co/api/v1/signal/delete","href":"/api-reference/endpoints/signal-delete"}]},{"group":"ICP Search","pages":[{"title":"ICP People Search","api":"POST https://api.datamagnet.co/api/v1/people-search/search","href":"/api-reference/endpoints/icp-people-search"},{"title":"ICP Company Search","api":"POST https://api.datamagnet.co/api/v1/people-search/search/company","href":"/api-reference/endpoints/icp-company-search"},{"title":"ICP Search — Suggest","api":"GET https://api.datamagnet.co/api/v1/people-search/suggest/{suggest_type}","href":"/api-reference/endpoints/icp-suggest"}]},{"group":"Database Search","pages":[{"title":"People Search DB","api":"POST https://api.datamagnet.co/api/v1/people/search/db","href":"/api-reference/endpoints/people-db-search"},{"title":"Company Search DB","api":"POST https://api.datamagnet.co/api/v1/company/search/db","href":"/api-reference/endpoints/company-db-search"}]},{"group":"Utilities","pages":[{"title":"Credit Balance","api":"GET https://api.datamagnet.co/api/v1/credit-check","href":"/api-reference/endpoints/credits"}]}]}]},{"tab":"Cookbooks","pages":[{"title":"Cookbooks","href":"/cookbooks/champion-tracking"}]},{"tab":"Changelog","pages":[{"title":"Changelog","href":"/changelog/october-2026"}]}]},"basePath":"","title":"Funding Rounds - Datamagnet API","buildId":"dpl_8LJbrAiZvr1K98WQNZXCyY5AvT34","deploymentId":"dpl_8LJbrAiZvr1K98WQNZXCyY5AvT34","dynamics":["c2aa737661","2b790eda92","b0f84f53ff"],"chunks":["OpenApiReferenceProvider-i2a3QZ8E.js","utils-ChLwp8m0.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-DRktVTDc.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-CA2pEs4T.js","snippetPresets-ClQ6XrKD.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-Ct_Lv36y.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-Cn2PYw9e.js","shallow-rkyymjXQ.js","getApiPlaygroundDisplay-BB9vkXtE.js","CodeSnippet-Bm5RU7m1.js","CodeSnippets-BgU9Deuz.js","Page-BUDYNlhG.js","getPastedJson-BD-6NNum.js","icon-8Z6tud2e.js","MethodPill-Tuzr4g3V.js","DuplicateIcon-0ceWFYhN.js","createIcon-FBXow_ST.js","DynamicMarkdown-CD8713Yy.js","SectionHeading-7zgzQbH-.js","axios-vUo_bRtp.js"]}